org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class GetQueueInfoRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetQueueInfoRequestPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class GetQueueInfoRequestPBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetQueueInfoRequestPBImpl()`
    `GetQueueInfoRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueInfoRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `boolean` | `getIncludeApplications()`
    `boolean` | `getIncludeChildQueues()`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueInfoRequestProto` | `getProto()`
    `String` | `getQueueName()`
    `boolean` | `getRecursive()`
    `int` | `hashCode()`
    `void` | `setIncludeApplications(boolean includeApplications)`
    `void` | `setIncludeChildQueues(boolean includeChildQueues)`
    `void` | `setQueueName(String queueName)`
    `void` | `setRecursive(boolean recursive)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetQueueInfoRequestPBImpl

          public GetQueueInfoRequestPBImpl()

    - #### GetQueueInfoRequestPBImpl

          public GetQueueInfoRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueInfoRequestProto proto)

  - ### Method Detail

    - #### getIncludeApplications

          public boolean getIncludeApplications()

      Specified by:
        `getIncludeApplications` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

    - #### getIncludeChildQueues

          public boolean getIncludeChildQueues()

      Specified by:
        `getIncludeChildQueues` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

    - #### getQueueName

          public String getQueueName()

      Specified by:
        `getQueueName` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

    - #### getRecursive

          public boolean getRecursive()

      Specified by:
        `getRecursive` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

    - #### setIncludeApplications

          public void setIncludeApplications(boolean includeApplications)

      Specified by:
        `setIncludeApplications` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

    - #### setIncludeChildQueues

          public void setIncludeChildQueues(boolean includeChildQueues)

      Specified by:
        `setIncludeChildQueues` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

    - #### setQueueName

          public void setQueueName(String queueName)

      Specified by:
        `setQueueName` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

    - #### setRecursive

          public void setRecursive(boolean recursive)

      Specified by:
        `setRecursive` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueInfoRequestProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.